Name: x11-data-cursor-themes
Version: 1.0.1
Release: %mkrel 4
BuildArch: noarch
Summary: X11 Cursor Themes
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/data/xcursor-themes-%{version}.tar.bz2 
Source1: wonderland-cursor.tar.bz2
Source2: index.theme
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: xcursorgen >= 1.0.0
BuildRequires: libxcursor-devel >= 1.1.5.2

Conflicts: xorg-x11 < 7.0

%description
X11 Cursor Themes

%prep
%setup -q -n xcursor-themes-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

tar xjv -C %{buildroot}%{_iconsdir} -f %{SOURCE1} 
mkdir -p %{buildroot}/%{_iconsdir}/default
install -m 644 %{SOURCE2} %{buildroot}/%{_iconsdir}/default

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_datadir}/icons/default
%dir %{_datadir}/icons/handhelds
%dir %{_datadir}/icons/redglass
%dir %{_datadir}/icons/whiteglass
%dir %{_datadir}/icons/wonderland
%{_datadir}/icons/default/*
%{_datadir}/icons/handhelds/*
%{_datadir}/icons/redglass/*
%{_datadir}/icons/whiteglass/*
%{_datadir}/icons/wonderland/*


%changelog
* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-06-09 17:07:41 (36915)
- Fix release

* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-06-09 17:02:28 (36914)
- Add source1: wonderland cursors (new version)
  Add source2: default cursors are wonderland ones

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
